;
;                  Inertia/TMT Realtime 3D Rendering Engine
;    Copyright (c) 1996, Alex Chalfin, Jeroen Bouwens. All Rights Reserved.
;          DISTRIBUTION OF THIS SOURCE CODE IS STRICTLY PROHIBITED
;

;
; VARSASM.INC
; code: Alex Chalfin
;

PERSPSPAN   EQU   16            ;
                                ;
extrn IntensityTable    : DWord ;
extrn TransparencyTable : DWord ;
                                ;
extrn VertPtrA      : DWord     ;
extrn VertPtrB      : DWord     ;
extrn VertPtrC      : DWord     ;
                                ;
extrn TVA           : DWord     ;
extrn TVB           : DWord     ;
extrn TVC           : DWord     ;
                                ;
extrn TotalHeight  : DWord      ;
extrn TopHeight    : DWord      ;
extrn BottomHeight : DWord      ;
                                ;
extrn CeilY1       : DWord      ;
extrn CeilY2       : DWord      ;
extrn CeilY3       : DWord      ;
                                ;
extrn FXDLongX     : DWord      ;
extrn FXDLongDX    : DWord      ;
extrn FXDShortX    : DWord      ;
extrn FXDShortDX   : DWord      ;
                                ;
extrn FXDSide1C    : DWord      ;
extrn FXDSide1DC   : DWord      ;
extrn FXDSide2C    : DWord      ;
extrn FXDSide2DC   : DWord      ;
                                ;
extrn FXDSide1U    : DWord      ;
extrn FXDSide1DU   : DWord      ;
extrn FXDSide2U    : DWord      ;
extrn FXDSide2DU   : DWord      ;
                                ;
extrn FXDSide1V    : DWord      ;
extrn FXDSide1DV   : DWord      ;
extrn FXDSide2V    : DWord      ;
extrn FXDSide2DV   : DWord      ;
                                ;
extrn FXDSide1Z    : DWord      ;
extrn FXDSide1DZ   : DWord      ;
extrn FXDSide2Z    : DWord      ;
extrn FXDSide2DZ   : DWord      ;
                                ;
extrn FXDSide1S    : DWord      ;
extrn FXDSide1DS   : DWord      ;
extrn FXDSide2S    : DWord      ;
extrn FXDSide2DS   : DWord      ;
                                ;
extrn FXDSide1T    : DWord      ;
extrn FXDSide1DT   : DWord      ;
extrn FXDSide2T    : DWord      ;
extrn FXDSide2DT   : DWord      ;
                                ;
extrn FLTInten1    : DWord      ;
extrn FLTInten2    : DWord      ;
extrn FLTInten3    : DWord      ;
                                ;
extrn FLTZ1        : DWord      ;
extrn FLTZ2        : DWord      ;
extrn FLTZ3        : DWord      ;
                                ;
extrn FLTTextureX1 : DWord      ;
extrn FLTTextureX2 : DWord      ;
extrn FLTTextureX3 : DWord      ;
                                ;
extrn FLTTextureY1 : DWord      ;
extrn FLTTextureY2 : DWord      ;
extrn FLTTextureY3 : DWord      ;
                                ;
extrn FLTEnvX1 : DWord          ;
extrn FLTEnvX2 : DWord          ;
extrn FLTEnvX3 : DWord          ;
                                ;
extrn FLTEnvY1 : DWord          ;
extrn FLTEnvY2 : DWord          ;
extrn FLTEnvY3 : DWord          ;
                                ;
extrn FLTLongDX    : DWord      ;
extrn FLTShortDX   : DWord      ;
                                ;
extrn OneOverTotalDY : DWord    ;
extrn OneOverTopDY  : DWord     ;
extrn OneOverBotDY  : DWord     ;
                                ;
extrn PolyDX        : DWord     ;
                                ;
extrn _tmp_flt      : DWord     ;
extrn _tmp_half     : DWord     ;
extrn _tmp_fixone   : DWord     ;
extrn _tmp_flt_63   : DWord     ;
extrn _tmp_flt_255  : DWord     ;
extrn _tmp_fxd2flt  : DWord     ;
extrn FUDGE_FACTOR  : DWord     ;
                                ;
extrn HorizontalDC  : DWord     ;
extrn HorizontalDU  : DWord     ;
extrn HorizontalDV  : DWord     ;
extrn HorizontalDZ  : DWord     ;
extrn HorizontalDS  : DWord     ;
extrn HorizontalDT  : DWord     ;
                                ;
extrn YAddress     : DWord      ;
extrn Color        : DWord      ;
                                ;
extrn UStart       : DWord      ;
extrn VStart       : DWord      ;
extrn SStart       : DWord      ;
extrn TStart       : DWord      ;
extrn SStart8       : DWord      ;
extrn TStart8       : DWord      ;
extrn CStart       : DWord      ;
extrn TextureOfsTable : DWord   ;
extrn IBufferTable    : DWord   ;
extrn Count           : DWord   ;
extrn HDU8            : DWord   ;
extrn HDV8            : DWord   ;
extrn HDS8            : DWord   ;
extrn HDT8            : DWord   ;
;extrn LineSize        : DWord   ; comment out this line for TMT Pascal
;extrn VirtualAddress  : DWord   ; comment out this line for TMT Pascal

extrn LAffU           : DWord   ;
extrn LAffV           : DWord   ;
extrn RAffU           : DWord   ;
extrn RAffV           : DWord   ;
extrn AffDU           : DWord   ;
extrn AffDV           : DWord   ;
extrn DrawWidth       : DWord   ;
extrn hpu             : DWord   ;
extrn hpv             : DWord   ;
extrn hpz             : DWord   ;
extrn SpanCount       : DWord   ;
extrn DivTable        : DWord   ;
